*{
    margin: 0;
    padding: 0;
}
#map{
    height: 100%;
  }
html, body{
    height: 100%;
    margin: 0;
    padding: 0;
  }
body{
    background-color: #464646;
    font-family: 'Courier Prime', Courier, monospace;
}
header{
    display: inline-flex;
    flex-direction: row;
    background-color: #4e9c5b;
    width: 100%;
    border-bottom: 2px solid black;
}
.material-icons{
    font-size: 64px!important;
    color: #464646;
}
.shadow{
    -webkit-box-shadow: 3px 3px 5px 6px rgba(0, 0, 0, 0.4);
    -moz-box-shadow:    3px 3px 5px 6px rgba(0, 0, 0, 0.4);
    box-shadow:         3px 3px 5px 6px rgba(0, 0, 0, 0.4);
}
.dark{
    color: #4e9c5b;
    background-color: #464646;
}
.light{
    background-color: #4e9c5b;
    color: black;
}
hr{
    margin: 1px;
    background-color: #4e9c5b;
    border: solid 1px #1b3620;
}
#logo{
    max-height: 100px;
    max-width: 20%;
}
#header-text{
    margin: 5px 0px 0px 2.5%;
    padding: 2px;
    min-width: 75%;
    text-align: center;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
main{
    display: grid;
    grid-template-rows: repeat(3,auto);
}
#introduction-div{
    color: white;
    padding: 10px;
    text-align: center;
}
main > div{
    background-color: rgba(78, 156, 91, .4);
    width: 97.5%;
    margin: 10px auto;
    border: 1px solid black;
    border-radius: 25px;
}
main > div > div{
    margin: 15px;
    padding: 2px;
    border-radius: 25px;
    border: 1px solid black;
}
#info-div{
    padding: 10px;
}
.heading{
    width: 99%;
    text-align: center;
    margin: 5px;
}
#search-form{
    margin: 2px auto;
    padding: 10px 0px;
    width: 99%;
}
#search-bar{
    margin: 2px 0px;
    width: 90%;
}
#search{
    grid-row: 2;
    display: grid;
    grid-template-columns: 30% 70%;
    min-height: 400px;
}
#side-bar{
    
    padding: 5px;
}
#results{
    background-color: #4E9C5B;
}
#results-box{
    background-color: antiquewhite;
    border-radius: 15px;
    width: 95%;
    min-height: 735px;
    margin: 10px auto;
    padding: 15px;
}
#results-box>ul{
    list-style: none;
}
#results-box>ul>li{
    padding: 7px 0px;
    cursor: pointer;
}
#results-box>ul>li:hover{
    background-color: rgb(173, 168, 151);
}
#about{
    grid-row: 3;
    display: grid;
    grid-template-columns: 35% 65%;
}
#detail-wrap{
    padding: 5px;
}
#details{
    background-color: white;
    padding: 5px;
    border-radius: 15px;
    min-height: 300px;
}
#details>h3 {
    margin: 10px 5px ;
}
#details>h4{
    margin: 5px;
}
#map-wrap{
    
}
footer{
    background-color: #4e9c5b;
    width: 100%;
    border-top: 2px solid black;
    text-align: center;
}
#resources{
    margin: 10px 0px;
    padding: 5px;
}
#resources>ul>li>h3>a{
    font-size: 1.5em;
    color: white;
}
.note{
    font-weight: bold;
    border-radius: 15px;
    color: white;
    font-size: 1.15em;
    text-align: center;
    background-color: red;
    border: 2px solid black;
    padding: 5px;
}
.warning{
    display: inline-block;
    width: 100%;
    text-align: center;
    font-size: 36px;
    color: orange;
}
.pagination-div{
    width: 100%;
    margin: 5px;
    display: flex;
    justify-content: space-around;
    align-items: center;
}
#page-btn-wrap{
    width: 75%;
    display: flex;
    justify-content: space-evenly;
}
.pagination-btn{
    min-width: 50px;
    border: 3px solid #464646;
    border-radius: 5px;
    background-color: #464646;
    color: white;
    font-family: inherit;
    font-size: 1.5rem;
    line-height: 1.2;
    padding: 5px;
    cursor: pointer;
}
.pagination-btn:hover{
    background-color: #626262;
    border: 3px solid #66cc77;
}
#icons-wrap{
    width: 95%;
    margin: auto;
    display: grid;
    grid-template-columns: repeat(3,auto);
    grid-template-rows: auto;
    justify-items: center;
    padding: 5px 0px;
}
iframe{
    width: 100%;
    height: 100%;
    border-radius: 15px;
}
@media screen and (max-width: 56em) {
   #search{
       grid-template-columns: auto;
       grid-template-rows: auto auto;
       margin-bottom: 2.5%;
       padding: 15px 5px;
   }
   #search-form{
       
   }
   #about{
       grid-template-columns: auto;
       grid-template-rows: auto auto;
   }
   #detail-wrap{
       grid-row: 1;
   }
   #map-wrap{
       grid-row: 2;
       height: 25em;
   }
   #side-bar{
    margin: 5px;
    padding: 10px;
    text-align: center;
   }
   #side-bar>form,#side-bar>form>label,#side-bar>form>input,#side-bar>form>select{
       margin: 5px;
   }
   #results{
       min-height: 900px;
       padding: 15px 5px;
   }
}